Summary:        Unicode Text Segmentation Package
Name:           sombok
Version:        2.4.0
Release:        4%{?dist}
License:        GPLv2+ or Artistic clarified
URL:            http://sf.net/projects/linefold/
Source0:        https://github.com/hatukanezumi/sombok/archive/%{name}-%{version}.tar.gz
Source1:        sombok.h

BuildRequires:  make autoconf automake libtool
BuildRequires:  libthai-devel


%description
This package performs Line Breaking Algorithm described in Unicode Standards Annex #14 (UAX #14). 
It also implements "default" Grapheme Cluster segmentation described in Annex #29 (UAX #29).


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
This package provides libraries and header files for developing applications that use %{name}.


%prep
%autosetup -n %{name}-%{name}-%{version}


%build
autoreconf -vif
%configure --disable-static
%make_build


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

mv %{buildroot}/%{_includedir}/sombok.h %{buildroot}/%{_includedir}/sombok-%{_arch}.h
install -m 0644 %{SOURCE1} %{buildroot}/%{_includedir}/sombok.h


%files
%license COPYING
%doc AUTHORS ChangeLog ChangeLog.REL1 NEWS README README.ja_JP
%{_libdir}/libsombok.so.*


%files devel
%{_includedir}/sombok*.h
%{_libdir}/libsombok.so
%{_libdir}/pkgconfig/sombok.pc


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jan 16 2023 Wang Guodong <gordonwwang@tencent.com> - 2.4.0-1
- package init.
